IWmsLayer (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.image.wms
Interface IWmsLayer

All Known Subinterfaces:
  IWmsNestedLayer

    public interface IWmsLayer

Version:
  $Header: /cvs/openmap/openmap/src/openmap/com/bbn/openmap/image/wms/IWmsLayer.java,v 1.2.2.1 2008/08/20 11:28:43 halset Exp $
Author:
  pitek

Method Summary
`java.lang.String` | `getAbstract()`
`Legend` | `getLegend()` Return a `Legend` with legend information or null if legend can not be created.
`IWmsLayerStyle[]` | `getStyles()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getWmsName()`
`boolean` | `isQueryable()`
`boolean` | `isStyleSupported(java.lang.String name)`
`LayerFeatureInfoResponse` | `query(int x, int y)` Do a GetFeatureInfo query.
`void` | `setDefaultStyle()`
`void` | `setRequestParameters(java.util.Properties requestParameters)` OpenMap will use this method to set request parameters to the layer.
`void` | `setStyle(java.lang.String name)` Set the style in the layer

Method Detail

### getTitle

    java.lang.String getTitle()

  Returns:
    a string for the layer title

### getWmsName

    java.lang.String getWmsName()

  Returns:
    a String representing the short layer name. It is like `Layer.getPropertyPrefix()` and are used in WMS Urls.

### getAbstract

    java.lang.String getAbstract()

  Returns:
    a string description of the layer

### isQueryable

    boolean isQueryable()

  Returns:
    true if layer is queryable

### query

    LayerFeatureInfoResponse query(int x,
                                   int y)

  Do a GetFeatureInfo query.

  Parameters:
    `x` -
    `y` -
  Returns:
    LayerFeatureInfoResponse from query

### getStyles

    IWmsLayerStyle[] getStyles()

  Returns:
    IWmsLayerStyle array of available styles.

### setStyle

    void setStyle(java.lang.String name)

  Set the style in the layer

  Parameters:
    `name` - style name

### isStyleSupported

    boolean isStyleSupported(java.lang.String name)

  Parameters:
    `name` - style name for query
  Returns:
    true if style supported

### setDefaultStyle

    void setDefaultStyle()

### setRequestParameters

    void setRequestParameters(java.util.Properties requestParameters)

  OpenMap will use this method to set request parameters to the layer. The layer can then pick up extra non-standard parameters if needed.

  For nested layers, this method may be called several times.

  See wms-1.1.1 chapter 6.5.11 Vendor-Specific Parameters

  Parameters:
    `requestParameters` -

### getLegend

    Legend getLegend()

  Return a `Legend` with legend information or null if legend can not be created.

  Returns:
    Legend for layer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details